Arbor 3: FSM & BT Graph Editor 3.7.5

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Properties | Events | List of all members
Parameter Class Reference

Class of Parameter to be stored in the ParameterContainer. More...

## Public Types
enum | Type { Int, Float, Bool, GameObject, String, Enum, Vector2 = 1000, Vector3, Quaternion, Rect, Bounds, Color, Transform = 2000, RectTransform, Rigidbody, Rigidbody2D, Component, Long, AssetObject, Variable = 3000, IntList = 4000, LongList, FloatList, BoolList, StringList, EnumList, Vector2List = 5000, Vector3List, QuaternionList, RectList, BoundsList, ColorList, GameObjectList = 6000, ComponentList, AssetObjectList, VariableList = 7000 }
| Parameter type. More...

## Public Member Functions
delegate void | DelegateOnChanged (Parameter parameter)
| Delegate called when changing Parameter. More...
void | OnChanged ()
| Call when you change the value. More...
override string | ToString ()
| Convert value to string format. More...
string | ToString (string format)
| Convert value to string format. More...
bool | SetAssetObject (Object value)
| It wants to set the value of the Object type. More...
bool | TryGetAssetObject (out Object value)
| Get the value of the Object type. More...
Object | GetAssetObject (Object defaultValue=null)
| Get the value of the Object type. More...
bool | SetAssetObject< TObject > (TObject value)
| Set Object value More...
bool | TryGetAssetObject< TObject > (out TObject value)
| Get the value of the Component type. More...
TObject | GetAssetObject< TObject > (TObject defaultValue=null)
| Get the value of the Object type. More...
bool | SetAssetObjectList< TAssetObject > (IList< TAssetObject > value)
| It wants to set the value of the AssetObjectList type. More...
bool | TryGetAssetObjectList< TAssetObject > (out IList< TAssetObject > value)
| Get the value of the AssetObjectList type. More...
IList< TAssetObject > | GetAssetObjectList< TAssetObject > ()
| Get the value of the AssetObjectList type. More...
bool | SetBool (bool value)
| It wants to set the value of the Bool type. More...
bool | TryGetBool (out bool value)
| Get the value of the Bool type. More...
bool | GetBool (bool defaultValue=default(bool))
| Get the value of the Bool type. More...
bool | SetBoolList (IList< bool > value)
| It wants to set the value of the BoolList type. More...
bool | TryGetBoolList (out IList< bool > value)
| Get the value of the BoolList type. More...
IList< bool > | GetBoolList ()
| Get the value of the BoolList type. More...
bool | SetBounds (Bounds value)
| It wants to set the value of the Bounds type. More...
bool | TryGetBounds (out Bounds value)
| Get the value of the Bounds type. More...
Bounds | GetBounds (Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds ()
| Get the value of the Bounds type. More...
bool | SetBoundsList (IList< Bounds > value)
| It wants to set the value of the BoundsList type. More...
bool | TryGetBoundsList (out IList< Bounds > value)
| Get the value of the BoundsList type. More...
IList< Bounds > | GetBoundsList ()
| Get the value of the BoundsList type. More...
bool | SetColor (Color value)
| It wants to set the value of the Color type. More...
bool | TryGetColor (out Color value)
| Get the value of the Color type. More...
Color | GetColor (Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor ()
| Get the value of the Color type. More...
bool | SetColorList (IList< Color > value)
| It wants to set the value of the ColorList type. More...
bool | TryGetColorList (out IList< Color > value)
| Get the value of the ColorList type. More...
IList< Color > | GetColorList ()
| Get the value of the ColorList type. More...
bool | SetComponent (Component value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent (out Component value)
| Get the value of the Component type. More...
Component | GetComponent (Component defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponent< TComponent > (TComponent value)
| Set Component value More...
bool | TryGetComponent< TComponent > (out TComponent value)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (TComponent defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponentList< TComponent > (IList< TComponent > value)
| It wants to set the value of the ComponentList type. More...
bool | TryGetComponentList< TComponent > (out IList< TComponent > value)
| Get the value of the ComponentList type. More...
IList< TComponent > | GetComponentList< TComponent > ()
| Get the value of the ComponentList type. More...
bool | SetEnumInt (int value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnumInt (out int value)
| Get the value of the Enum type. More...
int | GetEnumInt (int defaultValue=default(int))
| Get the value of the Enum type. More...
bool | SetEnum (System.Enum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum (out System.Enum value)
| Get the value of the Enum type. More...
System.Enum | GetEnum (System.Enum defaultValue=null)
| Get the value of the Enum type. More...
bool | SetEnum< TEnum > (TEnum value)
| Set Enum value More...
bool | TryGetEnum< TEnum > (out TEnum value)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > ()
| Get the value of the Enum type. More...
bool | SetEnumList< TEnum > (IList< TEnum > value)
| It wants to set the value of the EnumList type. More...
bool | TryGetEnumList< TEnum > (out IList< TEnum > value)
| Get the value of the EnumList type. More...
IList< TEnum > | GetEnumList< TEnum > ()
| Get the value of the EnumList type. More...
bool | SetFloat (float value)
| It wants to set the value of the Float type. More...
bool | TryGetFloat (out float value)
| Get the value of the Float type. More...
float | GetFloat (float defaultValue=default(float))
| Get the value of the Float type. More...
bool | SetFloatList (IList< float > value)
| It wants to set the value of the FloatList type. More...
bool | TryGetFloatList (out IList< float > value)
| Get the value of the FloatList type. More...
IList< float > | GetFloatList ()
| Get the value of the FloatList type. More...
bool | SetGameObject (GameObject value)
| It wants to set the value of the GameObject type. More...
bool | TryGetGameObject (out GameObject value)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (GameObject defaultValue=null)
| Get the value of the GameObject type. More...
bool | SetGameObjectList (IList< GameObject > value)
| It wants to set the value of the GameObjectList type. More...
bool | TryGetGameObjectList (out IList< GameObject > value)
| Get the value of the GameObjectList type. More...
IList< GameObject > | GetGameObjectList ()
| Get the value of the GameObjectList type. More...
bool | SetInt (int value)
| It wants to set the value of the Int type. More...
bool | TryGetInt (out int value)
| Get the value of the Int type. More...
int | GetInt (int defaultValue=default(int))
| Get the value of the Int type. More...
bool | SetIntList (IList< int > value)
| It wants to set the value of the IntList type. More...
bool | TryGetIntList (out IList< int > value)
| Get the value of the IntList type. More...
IList< int > | GetIntList ()
| Get the value of the IntList type. More...
bool | SetLong (long value)
| It wants to set the value of the Long type. More...
bool | TryGetLong (out long value)
| Get the value of the Long type. More...
long | GetLong (long defaultValue=default(long))
| Get the value of the Long type. More...
bool | SetLongList (IList< long > value)
| It wants to set the value of the LongList type. More...
bool | TryGetLongList (out IList< long > value)
| Get the value of the LongList type. More...
IList< long > | GetLongList ()
| Get the value of the LongList type. More...
bool | SetQuaternion (Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | TryGetQuaternion (out Quaternion value)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion ()
| Get the value of the Quaternion type. More...
bool | SetQuaternionList (IList< Quaternion > value)
| It wants to set the value of the QuaternionList type. More...
bool | TryGetQuaternionList (out IList< Quaternion > value)
| Get the value of the QuaternionList type. More...
IList< Quaternion > | GetQuaternionList ()
| Get the value of the QuaternionList type. More...
bool | SetRect (Rect value)
| It wants to set the value of the Rect type. More...
bool | TryGetRect (out Rect value)
| Get the value of the Rect type. More...
Rect | GetRect (Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect ()
| Get the value of the Rect type. More...
bool | SetRectList (IList< Rect > value)
| It wants to set the value of the RectList type. More...
bool | TryGetRectList (out IList< Rect > value)
| Get the value of the RectList type. More...
IList< Rect > | GetRectList ()
| Get the value of the RectList type. More...
bool | SetRectTransform (RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | TryGetRectTransform (out RectTransform value)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | TryGetRigidbody (out Rigidbody value)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
bool | SetString (string value)
| It wants to set the value of the String type. More...
bool | TryGetString (out string value)
| Get the value of the String type. More...
string | GetString (string defaultValue="")
| Get the value of the String type. More...
bool | SetStringList (IList< string > value)
| It wants to set the value of the StringList type. More...
bool | TryGetStringList (out IList< string > value)
| Get the value of the StringList type. More...
IList< string > | GetStringList ()
| Get the value of the StringList type. More...
bool | SetTransform (Transform value)
| It wants to set the value of the Transform type. More...
bool | TryGetTransform (out Transform value)
| Get the value of the Transform type. More...
Transform | GetTransform (Transform defaultValue=null)
| Get the value of the Transform type. More...
bool | SetVariable (object value)
| Set Variable value More...
bool | TryGetVariable (out object value)
| Get the value of the Variable type. More...
object | GetVariable (object defaultValue=null)
| Get Variable value More...
bool | SetVariable< TVariable > (TVariable value)
| Set Variable value More...
bool | TryGetVariable< TVariable > (out TVariable value)
| Get the value of the Variable type. More...
TVariable | GetVariable< TVariable > (TVariable defaultValue=default(TVariable))
| Get Variable value More...
bool | GetVariable< TVariable > (ref TVariable value)
| Get Variable value More...
bool | SetVariableList (object value)
| Set VariableList value More...
bool | TryGetVariableList (out object value)
| Get the value of the Variable type. More...
object | GetVariableList (object defaultValue=null)
| Get Variable value More...
bool | SetVariableList< TVariable > (IList< TVariable > value)
| Set Variable value More...
bool | TryGetVariableList< TVariable > (out IList< TVariable > value)
| Get the value of the VariableList type. More...
IList< TVariable > | GetVariableList< TVariable > ()
| Get Variable value More...
bool | SetVector2 (Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | TryGetVector2 (out Vector2 value)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 ()
| Get the value of the Vector2 type. More...
bool | SetVector2List (IList< Vector2 > value)
| It wants to set the value of the Vector2List type. More...
bool | TryGetVector2List (out IList< Vector2 > value)
| Get the value of the Vector2List type. More...
IList< Vector2 > | GetVector2List ()
| Get the value of the Vector2List type. More...
bool | SetVector3 (Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | TryGetVector3 (out Vector3 value)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 ()
| Get the value of the Vector3 type. More...
bool | SetVector3List (IList< Vector3 > value)
| It wants to set the value of the Vector3List type. More...
bool | TryGetVector3List (out IList< Vector3 > value)
| Get the value of the Vector3List type. More...
IList< Vector3 > | GetVector3List ()
| Get the value of the Vector3List type. More...

## Static Public Member Functions
static bool | IsListType (Parameter.Type type)
| Judges whether the type of the value handled by the specified Parameter.Type is IList<>. More...
static System.Type | GetValueType (Parameter.Type type, System.Type referenceType=null)
| Get the value type of the parameter. More...

## Public Attributes
ParameterContainerInternal | container
| Container this parameter is stored. More...
int | id
| ID. More...
Type | type
| Type. More...
string | name
| Name. More...
ClassTypeReference | referenceType = new ClassTypeReference()
| the type of objectReferenceValue and Enum. More...

## Properties
bool | isPublicSet`[get]`
| Returns whether this parameter can be set from an external graph. More...
bool | isPublicGet`[get]`
| Returns whether this parameter can be get from an external graph. More...
System.Type | valueType`[get]`
| Get value type. More...
object | value`[get, set]`
| Get values according to type. More...
Object | assetObjectValue`[get, set]`
| Value of Component type. More...
IList< Object > | assetObjectListValue`[get, set]`
| Value of ComponentList type. More...
bool | boolValue`[get, set]`
| Value of Bool type. More...
IList< bool > | boolListValue`[get, set]`
| Value of BoolList type. More...
Bounds | boundsValue`[get, set]`
| Value of Bounds type. More...
IList< Bounds > | boundsListValue`[get, set]`
| Value of BoundsList type. More...
Color | colorValue`[get, set]`
| Value of Color type. More...
IList< Color > | colorListValue`[get, set]`
| Value of ColorList type. More...
ClassTypeReference | componentType`[get, set]`
| Component type More...
Component | componentValue`[get, set]`
| Value of Component type. More...
IList< Component > | componentListValue`[get, set]`
| Value of ComponentList type. More...
bool | isEnum`[get]`
| Returns whether this parameter is of type Enum. More...
int | enumIntValue`[get, set]`
| int Value of Enum type. More...
System.Enum | enumValue`[get, set]`
| Value of Enum type. More...
float | floatValue`[get, set]`
| Value of Float type. More...
IList< float > | floatListValue`[get, set]`
| Value of FloatList type. More...
GameObject | gameObjectValue`[get, set]`
| Value of GameObject type. More...
IList< GameObject > | gameObjectListValue`[get, set]`
| Value of GameObjectList type. More...
int | intValue`[get, set]`
| Value of Int type. More...
IList< int > | intListValue`[get, set]`
| Value of IntList type. More...
long | longValue`[get, set]`
| Value of Long type. More...
IList< long > | longListValue`[get, set]`
| Value of LongList type. More...
Object | objectReferenceValue`[get, set]`
| Value of Object type. More...
Quaternion | quaternionValue`[get, set]`
| Value of Quaternion type. More...
IList< Quaternion > | quaternionListValue`[get, set]`
| Value of QuaternionList type. More...
Rect | rectValue`[get, set]`
| Value of Rect type. More...
IList< Rect > | rectListValue`[get, set]`
| Value of RectList type. More...
RectTransform | rectTransformValue`[get, set]`
| Value of RectTransform type. More...
Rigidbody | rigidbodyValue`[get, set]`
| Value of Rigidbody type. More...
Rigidbody2D | rigidbody2DValue`[get, set]`
| Value of Rigidbody2D type. More...
string | stringValue`[get, set]`
| Value of String type. More...
IList< string > | stringListValue`[get, set]`
| Value of StringList type. More...
Transform | transformValue`[get, set]`
| Value of Transform type. More...
VariableBase | variableObject`[get, set]`
| Object that contains Variable. More...
object | variableValue`[get, set]`
| Value of Variable type. More...
VariableListBase | variableListObject`[get, set]`
| Object that contains VariableList. More...
object | variableListValue`[get, set]`
| Value of Variable type. More...
Vector2 | vector2Value`[get, set]`
| Value of Vector2 type. More...
IList< Vector2 > | vector2ListValue`[get, set]`
| Value of Vector2List type. More...
Vector3 | vector3Value`[get, set]`
| Value of Vector3 type. More...
IList< Vector3 > | vector3ListValue`[get, set]`
| Value of Vector3List type. More...

## Events
DelegateOnChanged | onChanged
| Callback function to be called when the value is changed. More...

## Detailed Description

Class of Parameter to be stored in the ParameterContainer.

## Member Enumeration Documentation

## ◆ Type

enum Type
| strong

Parameter type.

Enumerator
Int | Int type.
Float | Float type.
Bool | Bool type.
GameObject | GameObject type.
String | String type.
Enum | Enum type.
Vector2 | Vector2 type.
Vector3 | Vector3 type.
Quaternion | Quaternion type.
Rect | Rect type.
Bounds | Bounds type.
Color | Color type.
Transform | Transform type.
RectTransform | RectTransform type.
Rigidbody | Rigidbody type.
Rigidbody2D | Rigidbody2D type.
Component | Component type.
Long | Long type.
AssetObject | Object type(Asset).
Variable | Variable type.
IntList | List<int> type.
LongList | List<long> type.
FloatList | List<float> type.
BoolList | List<bool> type.
StringList | List<string> type.
EnumList | List<Enum> type.
Vector2List | List<Vector2> type.
Vector3List | List<Vector3> type.
QuaternionList | List<Quaternion> type.
RectList | List<Rect> type.
BoundsList | List<Bounds> type.
ColorList | List<Color> type.
GameObjectList | List<GameObject> type.
ComponentList | List<Component> type.
AssetObjectList | List<Object(Asset)> type.
VariableList | VariableList type.

## Member Function Documentation

## ◆ DelegateOnChanged()

delegate void DelegateOnChanged | ( | Parameter | parameter | ) |

Delegate called when changing Parameter.

Parameters

  parameter | Parameter

## ◆ GetAssetObject()

Object GetAssetObject | ( | Object | defaultValue = `null` | ) |

Get the value of the Object type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetAssetObject< TObject >()

TObject GetAssetObject< TObject > | ( | TObject | defaultValue = `null` | ) |

Get the value of the Object type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TObject | : | Object |

## ◆ GetAssetObjectList< TAssetObject >()

IList<TAssetObject> GetAssetObjectList< TAssetObject > | ( |  | ) |

Get the value of the AssetObjectList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TAssetObject | : | Object |

## ◆ GetBool()

bool GetBool | ( | bool | defaultValue = `default(bool)` | ) |

Get the value of the Bool type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBoolList()

IList<bool> GetBoolList | ( |  | ) |

Get the value of the BoolList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetBounds() [1/2]

Bounds GetBounds | ( |  | ) |

Get the value of the Bounds type.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

## ◆ GetBounds() [2/2]

Bounds GetBounds | ( | Bounds | defaultValue | ) |

Get the value of the Bounds type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBoundsList()

IList<Bounds> GetBoundsList | ( |  | ) |

Get the value of the BoundsList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetColor() [1/2]

Color GetColor | ( |  | ) |

Get the value of the Color type.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

## ◆ GetColor() [2/2]

Color GetColor | ( | Color | defaultValue | ) |

Get the value of the Color type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetColorList()

IList<Color> GetColorList | ( |  | ) |

Get the value of the ColorList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetComponent()

Component GetComponent | ( | Component | defaultValue = `null` | ) |

Get the value of the Component type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetComponent< TComponent >()

TComponent GetComponent< TComponent > | ( | TComponent | defaultValue = `null` | ) |

Get the value of the Component type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetComponentList< TComponent >()

IList<TComponent> GetComponentList< TComponent > | ( |  | ) |

Get the value of the ComponentList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TComponent | : | Component |

## ◆ GetEnum()

System.Enum GetEnum | ( | System.Enum | defaultValue = `null` | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnum< TEnum >() [1/2]

TEnum GetEnum< TEnum > | ( |  | ) |

Get the value of the Enum type.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [2/2]

TEnum GetEnum< TEnum > | ( | TEnum | defaultValue | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumInt()

int GetEnumInt | ( | int | defaultValue = `default(int)` | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnumList< TEnum >()

IList<TEnum> GetEnumList< TEnum > | ( |  | ) |

Get the value of the EnumList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

Type Constraints

  TEnum | : | struct |

## ◆ GetFloat()

float GetFloat | ( | float | defaultValue = `default(float)` | ) |

Get the value of the Float type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloatList()

IList<float> GetFloatList | ( |  | ) |

Get the value of the FloatList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetGameObject()

GameObject GetGameObject | ( | GameObject | defaultValue = `null` | ) |

Get the value of the GameObject type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetGameObjectList()

IList<GameObject> GetGameObjectList | ( |  | ) |

Get the value of the GameObjectList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetInt()

int GetInt | ( | int | defaultValue = `default(int)` | ) |

Get the value of the Int type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetIntList()

IList<int> GetIntList | ( |  | ) |

Get the value of the IntList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetLong()

long GetLong | ( | long | defaultValue = `default(long)` | ) |

Get the value of the Long type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetLongList()

IList<long> GetLongList | ( |  | ) |

Get the value of the LongList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetQuaternion() [1/2]

Quaternion GetQuaternion | ( |  | ) |

Get the value of the Quaternion type.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

## ◆ GetQuaternion() [2/2]

Quaternion GetQuaternion | ( | Quaternion | defaultValue | ) |

Get the value of the Quaternion type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternionList()

IList<Quaternion> GetQuaternionList | ( |  | ) |

Get the value of the QuaternionList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetRect() [1/2]

Rect GetRect | ( |  | ) |

Get the value of the Rect type.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

## ◆ GetRect() [2/2]

Rect GetRect | ( | Rect | defaultValue | ) |

Get the value of the Rect type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRectList()

IList<Rect> GetRectList | ( |  | ) |

Get the value of the RectList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetRectTransform()

RectTransform GetRectTransform | ( | RectTransform | defaultValue = `null` | ) |

Get the value of the RectTransform type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody()

Rigidbody GetRigidbody | ( | Rigidbody | defaultValue = `null` | ) |

Get the value of the Rigidbody type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody2D()

Rigidbody2D GetRigidbody2D | ( | Rigidbody2D | defaultValue = `null` | ) |

Get the value of the Rigidbody2D type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetString()

string GetString | ( | string | defaultValue = `""` | ) |

Get the value of the String type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetStringList()

IList<string> GetStringList | ( |  | ) |

Get the value of the StringList type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetTransform()

Transform GetTransform | ( | Transform | defaultValue = `null` | ) |

Get the value of the Transform type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetValueType()

static System.Type GetValueType | ( | Parameter.Type | type,
|  | System.Type | referenceType = `null`
| ) |  |
| static

Get the value type of the parameter.

Parameters

  type | Type of parameter
  referenceType | Reference type (used for Enum, Component, Variable)

Returns
  Value type of the parameter

## ◆ GetVariable()

object GetVariable | ( | object | defaultValue = `null` | ) |

Get Variable value

Parameters

  defaultValue | Default value. Returned if acquisition failed.

Returns
  Value of Variable. If acquisition fails, it returns defaultValue.

## ◆ GetVariable< TVariable >() [1/2]

bool GetVariable< TVariable > | ( | ref TVariable | value | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

Returns
  Succeeds if true, failure if false

## ◆ GetVariable< TVariable >() [2/2]

TVariable GetVariable< TVariable > | ( | TVariable | defaultValue = `default(TVariable)` | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  defaultValue | Default value. Returned if acquisition failed.

Returns
  Value of Variable. If acquisition fails, it returns defaultValue.

## ◆ GetVariableList()

object GetVariableList | ( | object | defaultValue = `null` | ) |

Get Variable value

Returns
  Value of Variable. If acquisition fails, it returns null.

## ◆ GetVariableList< TVariable >()

IList<TVariable> GetVariableList< TVariable > | ( |  | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Returns
  Value of Variable. If acquisition fails, it returns null.

## ◆ GetVector2() [1/2]

Vector2 GetVector2 | ( |  | ) |

Get the value of the Vector2 type.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

## ◆ GetVector2() [2/2]

Vector2 GetVector2 | ( | Vector2 | defaultValue | ) |

Get the value of the Vector2 type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2List()

IList<Vector2> GetVector2List | ( |  | ) |

Get the value of the Vector2List type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ GetVector3() [1/2]

Vector3 GetVector3 | ( |  | ) |

Get the value of the Vector3 type.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

## ◆ GetVector3() [2/2]

Vector3 GetVector3 | ( | Vector3 | defaultValue | ) |

Get the value of the Vector3 type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector3List()

IList<Vector3> GetVector3List | ( |  | ) |

Get the value of the Vector3List type.

Returns
  The value of the parameter. If there is no parameter, it returns null.

## ◆ IsListType()

static bool IsListType | ( | Parameter.Type | type | ) |
| static

Judges whether the type of the value handled by the specified Parameter.Type is IList<>.

Parameters

  type | Parameter type

Returns
  Returns true if the value type is IListIList<>.

## ◆ OnChanged()

void OnChanged | ( |  | ) |

Call when you change the value.

## ◆ SetAssetObject()

bool SetAssetObject | ( | Object | value | ) |

It wants to set the value of the Object type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetAssetObject< TObject >()

bool SetAssetObject< TObject > | ( | TObject | value | ) |

Set Object value

Parameters

  value | Value

Type Constraints

  TObject | : | Object |

## ◆ SetAssetObjectList< TAssetObject >()

bool SetAssetObjectList< TAssetObject > | ( | IList< TAssetObject > | value | ) |

It wants to set the value of the AssetObjectList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

Type Constraints

  TAssetObject | : | Object |

## ◆ SetBool()

bool SetBool | ( | bool | value | ) |

It wants to set the value of the Bool type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetBoolList()

bool SetBoolList | ( | IList< bool > | value | ) |

It wants to set the value of the BoolList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetBounds()

bool SetBounds | ( | Bounds | value | ) |

It wants to set the value of the Bounds type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetBoundsList()

bool SetBoundsList | ( | IList< Bounds > | value | ) |

It wants to set the value of the BoundsList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetColor()

bool SetColor | ( | Color | value | ) |

It wants to set the value of the Color type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetColorList()

bool SetColorList | ( | IList< Color > | value | ) |

It wants to set the value of the ColorList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetComponent()

bool SetComponent | ( | Component | value | ) |

It wants to set the value of the Component type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetComponent< TComponent >()

bool SetComponent< TComponent > | ( | TComponent | value | ) |

Set Component value

Parameters

  value | Value

Type Constraints

  TComponent | : | Component |

## ◆ SetComponentList< TComponent >()

bool SetComponentList< TComponent > | ( | IList< TComponent > | value | ) |

It wants to set the value of the ComponentList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

Type Constraints

  TComponent | : | Component |

## ◆ SetEnum()

bool SetEnum | ( | System.Enum | value | ) |

It wants to set the value of the Enum type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetEnum< TEnum >()

bool SetEnum< TEnum > | ( | TEnum | value | ) |

Set Enum value

Parameters

  value | Value

Returns
  Return true if the value could be set.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumInt()

bool SetEnumInt | ( | int | value | ) |

It wants to set the value of the Enum type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetEnumList< TEnum >()

bool SetEnumList< TEnum > | ( | IList< TEnum > | value | ) |

It wants to set the value of the EnumList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

Type Constraints

  TEnum | : | struct |

## ◆ SetFloat()

bool SetFloat | ( | float | value | ) |

It wants to set the value of the Float type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetFloatList()

bool SetFloatList | ( | IList< float > | value | ) |

It wants to set the value of the FloatList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetGameObject()

bool SetGameObject | ( | GameObject | value | ) |

It wants to set the value of the GameObject type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetGameObjectList()

bool SetGameObjectList | ( | IList< GameObject > | value | ) |

It wants to set the value of the GameObjectList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetInt()

bool SetInt | ( | int | value | ) |

It wants to set the value of the Int type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetIntList()

bool SetIntList | ( | IList< int > | value | ) |

It wants to set the value of the IntList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetLong()

bool SetLong | ( | long | value | ) |

It wants to set the value of the Long type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetLongList()

bool SetLongList | ( | IList< long > | value | ) |

It wants to set the value of the LongList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetQuaternion()

bool SetQuaternion | ( | Quaternion | value | ) |

It wants to set the value of the Quaternion type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetQuaternionList()

bool SetQuaternionList | ( | IList< Quaternion > | value | ) |

It wants to set the value of the QuaternionList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRect()

bool SetRect | ( | Rect | value | ) |

It wants to set the value of the Rect type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRectList()

bool SetRectList | ( | IList< Rect > | value | ) |

It wants to set the value of the RectList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRectTransform()

bool SetRectTransform | ( | RectTransform | value | ) |

It wants to set the value of the RectTransform type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRigidbody()

bool SetRigidbody | ( | Rigidbody | value | ) |

It wants to set the value of the Rigidbody type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRigidbody2D()

bool SetRigidbody2D | ( | Rigidbody2D | value | ) |

It wants to set the value of the Rigidbody2D type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetString()

bool SetString | ( | string | value | ) |

It wants to set the value of the String type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetStringList()

bool SetStringList | ( | IList< string > | value | ) |

It wants to set the value of the StringList type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetTransform()

bool SetTransform | ( | Transform | value | ) |

It wants to set the value of the Transform type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetVariable()

bool SetVariable | ( | object | value | ) |

Set Variable value

Parameters

  value | Value

## ◆ SetVariable< TVariable >()

bool SetVariable< TVariable > | ( | TVariable | value | ) |

Set Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

## ◆ SetVariableList()

bool SetVariableList | ( | object | value | ) |

Set VariableList value

Parameters

  value | Value

## ◆ SetVariableList< TVariable >()

bool SetVariableList< TVariable > | ( | IList< TVariable > | value | ) |

Set Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

## ◆ SetVector2()

bool SetVector2 | ( | Vector2 | value | ) |

It wants to set the value of the Vector2 type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetVector2List()

bool SetVector2List | ( | IList< Vector2 > | value | ) |

It wants to set the value of the Vector2List type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetVector3()

bool SetVector3 | ( | Vector3 | value | ) |

It wants to set the value of the Vector3 type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetVector3List()

bool SetVector3List | ( | IList< Vector3 > | value | ) |

It wants to set the value of the Vector3List type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ ToString() [1/2]

override string ToString | ( |  | ) |

Convert value to string format.

Returns
  Converted string

## ◆ ToString() [2/2]

string ToString | ( | string | format | ) |

Convert value to string format.

Parameters

  format | Numeric format string (Int, Long, Float only)

Returns
  Converted string

For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

## ◆ TryGetAssetObject()

bool TryGetAssetObject | ( | out Object | value | ) |

Get the value of the Object type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetAssetObject< TObject >()

bool TryGetAssetObject< TObject > | ( | out TObject | value | ) |

Get the value of the Component type.

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

Type Constraints

  TObject | : | Object |

## ◆ TryGetAssetObjectList< TAssetObject >()

bool TryGetAssetObjectList< TAssetObject > | ( | out IList< TAssetObject > | value | ) |

Get the value of the AssetObjectList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

Type Constraints

  TAssetObject | : | Object |

## ◆ TryGetBool()

bool TryGetBool | ( | out bool | value | ) |

Get the value of the Bool type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetBoolList()

bool TryGetBoolList | ( | out IList< bool > | value | ) |

Get the value of the BoolList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetBounds()

bool TryGetBounds | ( | out Bounds | value | ) |

Get the value of the Bounds type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetBoundsList()

bool TryGetBoundsList | ( | out IList< Bounds > | value | ) |

Get the value of the BoundsList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetColor()

bool TryGetColor | ( | out Color | value | ) |

Get the value of the Color type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetColorList()

bool TryGetColorList | ( | out IList< Color > | value | ) |

Get the value of the ColorList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetComponent()

bool TryGetComponent | ( | out Component | value | ) |

Get the value of the Component type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetComponent< TComponent >()

bool TryGetComponent< TComponent > | ( | out TComponent | value | ) |

Get the value of the Component type.

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetComponentList< TComponent >()

bool TryGetComponentList< TComponent > | ( | out IList< TComponent > | value | ) |

Get the value of the ComponentList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetEnum()

bool TryGetEnum | ( | out System.Enum | value | ) |

Get the value of the Enum type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

## ◆ TryGetEnum< TEnum >()

bool TryGetEnum< TEnum > | ( | out TEnum | value | ) |

Get the value of the Enum type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnumInt()

bool TryGetEnumInt | ( | out int | value | ) |

Get the value of the Enum type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

## ◆ TryGetEnumList< TEnum >()

bool TryGetEnumList< TEnum > | ( | out IList< TEnum > | value | ) |

Get the value of the EnumList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetFloat()

bool TryGetFloat | ( | out float | value | ) |

Get the value of the Float type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

## ◆ TryGetFloatList()

bool TryGetFloatList | ( | out IList< float > | value | ) |

Get the value of the FloatList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetGameObject()

bool TryGetGameObject | ( | out GameObject | value | ) |

Get the value of the GameObject type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetGameObjectList()

bool TryGetGameObjectList | ( | out IList< GameObject > | value | ) |

Get the value of the GameObjectList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetInt()

bool TryGetInt | ( | out int | value | ) |

Get the value of the Int type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetIntList()

bool TryGetIntList | ( | out IList< int > | value | ) |

Get the value of the IntList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetLong()

bool TryGetLong | ( | out long | value | ) |

Get the value of the Long type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetLongList()

bool TryGetLongList | ( | out IList< long > | value | ) |

Get the value of the LongList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetQuaternion()

bool TryGetQuaternion | ( | out Quaternion | value | ) |

Get the value of the Quaternion type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetQuaternionList()

bool TryGetQuaternionList | ( | out IList< Quaternion > | value | ) |

Get the value of the QuaternionList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRect()

bool TryGetRect | ( | out Rect | value | ) |

Get the value of the Rect type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRectList()

bool TryGetRectList | ( | out IList< Rect > | value | ) |

Get the value of the RectList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRectTransform()

bool TryGetRectTransform | ( | out RectTransform | value | ) |

Get the value of the RectTransform type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRigidbody()

bool TryGetRigidbody | ( | out Rigidbody | value | ) |

Get the value of the Rigidbody type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRigidbody2D()

bool TryGetRigidbody2D | ( | out Rigidbody2D | value | ) |

Get the value of the Rigidbody2D type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetString()

bool TryGetString | ( | out string | value | ) |

Get the value of the String type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetStringList()

bool TryGetStringList | ( | out IList< string > | value | ) |

Get the value of the StringList type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetTransform()

bool TryGetTransform | ( | out Transform | value | ) |

Get the value of the Transform type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetVariable()

bool TryGetVariable | ( | out object | value | ) |

Get the value of the Variable type.

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

## ◆ TryGetVariable< TVariable >()

bool TryGetVariable< TVariable > | ( | out TVariable | value | ) |

Get the value of the Variable type.

Template Parameters

  TVariable | Variable value type

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

## ◆ TryGetVariableList()

bool TryGetVariableList | ( | out object | value | ) |

Get the value of the Variable type.

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

## ◆ TryGetVariableList< TVariable >()

bool TryGetVariableList< TVariable > | ( | out IList< TVariable > | value | ) |

Get the value of the VariableList type.

Template Parameters

  TVariable | Variable value type

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

## ◆ TryGetVector2()

bool TryGetVector2 | ( | out Vector2 | value | ) |

Get the value of the Vector2 type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetVector2List()

bool TryGetVector2List | ( | out IList< Vector2 > | value | ) |

Get the value of the Vector2List type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetVector3()

bool TryGetVector3 | ( | out Vector3 | value | ) |

Get the value of the Vector3 type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetVector3List()

bool TryGetVector3List | ( | out IList< Vector3 > | value | ) |

Get the value of the Vector3List type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## Member Data Documentation

## ◆ container

ParameterContainerInternal container

Container this parameter is stored.

## ◆ id

int id

ID.

## ◆ name

string name

Name.

## ◆ referenceType

ClassTypeReference referenceType = new ClassTypeReference()

the type of objectReferenceValue and Enum.

## ◆ type

Type type

Type.

## Property Documentation

## ◆ assetObjectListValue

IList<Object> assetObjectListValue
| get set

Value of ComponentList type.

## ◆ assetObjectValue

Object assetObjectValue
| get set

Value of Component type.

## ◆ boolListValue

IList<bool> boolListValue
| get set

Value of BoolList type.

## ◆ boolValue

bool boolValue
| get set

Value of Bool type.

## ◆ boundsListValue

IList<Bounds> boundsListValue
| get set

Value of BoundsList type.

## ◆ boundsValue

Bounds boundsValue
| get set

Value of Bounds type.

## ◆ colorListValue

IList<Color> colorListValue
| get set

Value of ColorList type.

## ◆ colorValue

Color colorValue
| get set

Value of Color type.

## ◆ componentListValue

IList<Component> componentListValue
| get set

Value of ComponentList type.

## ◆ componentType

ClassTypeReference componentType
| get set

Component type

## ◆ componentValue

Component componentValue
| get set

Value of Component type.

## ◆ enumIntValue

int enumIntValue
| get set

int Value of Enum type.

## ◆ enumValue

System.Enum enumValue
| get set

Value of Enum type.

## ◆ floatListValue

IList<float> floatListValue
| get set

Value of FloatList type.

## ◆ floatValue

float floatValue
| get set

Value of Float type.

## ◆ gameObjectListValue

IList<GameObject> gameObjectListValue
| get set

Value of GameObjectList type.

## ◆ gameObjectValue

GameObject gameObjectValue
| get set

Value of GameObject type.

## ◆ intListValue

IList<int> intListValue
| get set

Value of IntList type.

## ◆ intValue

int intValue
| get set

Value of Int type.

## ◆ isEnum

bool isEnum
| get

Returns whether this parameter is of type Enum.

## ◆ isPublicGet

bool isPublicGet
| get

Returns whether this parameter can be get from an external graph.

(For parameters in graph)

## ◆ isPublicSet

bool isPublicSet
| get

Returns whether this parameter can be set from an external graph.

(For parameters in graph)

## ◆ longListValue

IList<long> longListValue
| get set

Value of LongList type.

## ◆ longValue

long longValue
| get set

Value of Long type.

## ◆ objectReferenceValue

Object objectReferenceValue
| get set

Value of Object type.

## ◆ quaternionListValue

IList<Quaternion> quaternionListValue
| get set

Value of QuaternionList type.

## ◆ quaternionValue

Quaternion quaternionValue
| get set

Value of Quaternion type.

## ◆ rectListValue

IList<Rect> rectListValue
| get set

Value of RectList type.

## ◆ rectTransformValue

RectTransform rectTransformValue
| get set

Value of RectTransform type.

## ◆ rectValue

Rect rectValue
| get set

Value of Rect type.

## ◆ rigidbody2DValue

Rigidbody2D rigidbody2DValue
| get set

Value of Rigidbody2D type.

## ◆ rigidbodyValue

Rigidbody rigidbodyValue
| get set

Value of Rigidbody type.

## ◆ stringListValue

IList<string> stringListValue
| get set

Value of StringList type.

## ◆ stringValue

string stringValue
| get set

Value of String type.

## ◆ transformValue

Transform transformValue
| get set

Value of Transform type.

## ◆ value

object value
| get set

Get values according to type.

## ◆ valueType

System.Type valueType
| get

Get value type.

## ◆ variableListObject

VariableListBase variableListObject
| get set

Object that contains VariableList.

## ◆ variableListValue

object variableListValue
| get set

Value of Variable type.

## ◆ variableObject

VariableBase variableObject
| get set

Object that contains Variable.

## ◆ variableValue

object variableValue
| get set

Value of Variable type.

## ◆ vector2ListValue

IList<Vector2> vector2ListValue
| get set

Value of Vector2List type.

## ◆ vector2Value

Vector2 vector2Value
| get set

Value of Vector2 type.

## ◆ vector3ListValue

IList<Vector3> vector3ListValue
| get set

Value of Vector3List type.

## ◆ vector3Value

Vector3 vector3Value
| get set

Value of Vector3 type.

## Event Documentation

## ◆ onChanged

DelegateOnChanged onChanged

Callback function to be called when the value is changed.